Bug 861264 - [abrt] yum-3.4.3-29.fc17: __init__.py:452:getReposFromConfigFile:ConfigError: File contains no section headers.
[abrt] yum-3.4.3-29.fc17: __init__.py:452:getReposFromConfigFile:ConfigError:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:6c0529d466fadb0cab91dab91a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 21:50 EDT by Niranj
Modified: 2014-01-21 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 04:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (643 bytes, text/plain)
2012-09-27 21:50 EDT, Niranj
no flags Details

  None (edit)
Description Niranj 2012-09-27 21:50:55 EDT
Version-Release number of selected component:
yum-3.4.3-29.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available jup
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:__init__.py:452:getReposFromConfigFile:ConfigError: File contains no section headers.
:file: file://///etc/yum.repos.d/rpm-sphere.repo, line: 1
:'phere]\n'
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 89, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 80, in main
:    for repo in base.repos.listEnabled():
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1011, in <lambda>
:    repos = property(fget=lambda self: self._getRepos(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 677, in _getRepos
:    self.getReposFromConfig()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 557, in getReposFromConfig
:    self.getReposFromConfigFile(repofn, repo_age=thisrepo_age)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 452, in getReposFromConfigFile
:    raise Errors.ConfigError(exception2msg(e))
:ConfigError: File contains no section headers.
:file: file://///etc/yum.repos.d/rpm-sphere.repo, line: 1
:'phere]\n'
:
:Local variables in innermost frame:
:e: File contains no section headers.
:file: file://///etc/yum.repos.d/rpm-sphere.repo, line: 1
:'phere]\n'
:repofn: '///etc/yum.repos.d/rpm-sphere.repo'
:confpp_obj: <yum.parser.ConfigPreProcessor instance at 0x7f6ab4d053f8>
:parser: <iniparse.compat.RawConfigParser object at 0x7f6ab4d0a1d0>
:repo_age: 1348797014
:validate: None
:self: <cli.YumBaseCli object at 0x7f6ac904a1d0>
Comment 1 Niranj 2012-09-27 21:50:58 EDT
Created attachment 618370 [details]
File: core_backtrace
Comment 2 Zdeněk Pavlas 2012-10-01 04:31:44 EDT
Added a ConfigError handler to completion-helper.py.
Comment 3 Fedora Update System 2012-10-02 07:37:03 EDT
yum-3.4.3-45.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-45.fc18
Comment 4 Fedora Update System 2012-11-12 09:49:22 EST
yum-3.4.3-30.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-3.4.3-30.fc17
Comment 5 Fedora Update System 2012-11-18 21:23:30 EST
yum-3.4.3-30.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.